{% extends 'base.html.twig' %}

{% block title %}Product list{% endblock %}

{% block body %}
    <h1>Product list</h1>
    <div class="table-responsive">
        <table class="table table-hover">
            <thead class="thead-light">
            <tr>
                <th scope="col">Name</th>
                <th scope="col">Price</th>
                <th scope="col">Supplier Name</th>
                <th scope="col">Supplier Siret</th>
                <th scope="col">Supplier Email</th>
                <th scope="col">CreatedAt</th>
                <th scope="col">UpdatedAt</th>
                <th scope="col">Actions</th>
            </tr>
            </thead>
            <tbody>
            {% for product in products %}
                <tr>
                    <td>{{ product.name }}</td>
                    <td>{{ product.price|format_currency('EUR', locale='en') }}</td>
                    <td>{{ product.supplier.name }}</td>
                    <td>{{ product.supplier.siret }}</td>
                    <td>{{ product.supplier.email }}</td>
                    <td>{{ product.createdAt|date('d/m/Y H:i:s') }}</td>
                    <td>{{ product.updatedAt ? product.updatedAt|date('d/m/Y H:i:s') : '~' }}</td>
                    <td>
                        <a class="btn btn-outline-info" href="{{ path('product_edit', {'id': product.id}) }}">Edit</a>
                        <button class="btn btn-outline-danger" data-toggle="modal" data-target="#deleteModal" data-name="{{ product.name }}" data-route="{{ path('product_delete', {id : product.id, _csrf_token: csrf_token('delete'~product.id)}) }}">Delete</button>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="8">No results found</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
    <div class="d-flex justify-content-center">
        <nav aria-label="Page navigation">
            <ul class="pagination">
                <li class="page-item {{ page-1 > 0 ? '' : 'disabled' }}"><a class="page-link" href="{{ path('product_index', {'page': page-1}) }}">Previous</a></li>
                {% for i in rangeMin..rangeMax %}
                    <li class="page-item {{ page is same as(i) ? 'active' : '' }}"><a class="page-link" href="{{ path('product_index', {'page': i}) }}">{{ i }}</a></li>
                {% endfor %}
                <li class="page-item {{ page+1 < nbPages+1 ? '' : 'disabled' }}"><a class="page-link" href="{{ path('product_index', {'page': page+1}) }}">Next</a></li>
            </ul>
        </nav>
    </div>
    <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    <a type="button" class="btn btn-danger">Delete</a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block javascripts %}
    {{ parent() }}
    <script>
        $('#deleteModal').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget)
            var productName = button.data('name')
            var productRoute = button.data('route')
            var modal = $(this)
            modal.find('.modal-title').text('Product Removal => ' + productName + ' ?')
            modal.find('.modal-body').text('Do you want to permanently delete the product ' + productName + ' ?')
            modal.find('.modal-footer a').attr("href", productRoute)
        })
    </script>
{% endblock %}
